Description

Using the OSGeo4W package installer on Windows7 64bit I installed QGIS Server 1.7.3-1, Apache 2.2.14-4 and associated

dependencies including fcgi. I created a demo project in QGIS Desktop 1.7.3-1 and successfully returned a GetCapabilities document in

my web browser.

The next step was to try to access the QGIS server WMS in various GIS packages (QGIS, MapInfo and ArcGIS). In all cases the software

was able to parse the GetCapabilities document, however I could not view the data. Generating a GetMap request in my web browser did

return a map image though. Eventually I got a WMS layer to display in QGIS Desktop by enabling the 'Ignore GetMap URI reported in

capabilities' option in the WMS connection setup dialog.

The same problem is reported here:

http://osgeo-org.1803224.n2.nabble.com/I-can-not-visualize-the-WMS-Service-from-the-QGIS-Server-at-a-desktop-GIS-td6783271.html

and here:

http://lists.osgeo.org/pipermail/qgis-user/2011-November/014252.html

As reported in the second thread above, the problem appears to stem from the fact that the GetCapabilities document reports the GetMap

link omitting the http: prefix. An excerpt from my test GetCapabilities document is shown below:

<HTTP GetCapabilities="http://localhost/qgis/qgis_mapserv.fcgi.exe?map=C:/temp/ArealApportionment/Working.qgs" 

  GetMap="//localhost/qgis/qgis_mapserv.fcgi.exe?map=C:/temp/ArealApportionment/Working.qgs&amp;" />

I believe this is a bug, and is restricting the functionality of what would otherwise be a very quick way to set up a WMS service.

History

#1 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2013-07-17 02:27 AM - René-Luc ReLuc

- Assignee set to Marco Hugentobler

Hi Marco,

I think this bug has been fixed. Can you closed it ?

Regards,
#3 - 2013-09-13 02:18 AM - René-Luc ReLuc

I think this issues can be closed, isn't it ?

#4 - 2014-06-21 04:24 AM - René-Luc ReLuc

Marco, can we close this issue ?

#5 - 2014-06-21 06:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

#6 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2014-10-12 10:22 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
